Name:           perl-Net-SSL-ExpireDate
Version:        1.20
Release:        1%{?dist}
Summary:        Obtain expiration date of certificate
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-SSL-ExpireDate/
Source0:        http://www.cpan.org/authors/id/H/HI/HIROSE/Net-SSL-ExpireDate-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 1:5.6.0
BuildRequires:  perl(Class::Accessor)
BuildRequires:  perl(Crypt::OpenSSL::X509)
BuildRequires:  perl(Date::Parse)
BuildRequires:  perl(DateTime)
BuildRequires:  perl(DateTime::Duration)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Filter::Util::Call)
BuildRequires:  perl(IO::Socket)
BuildRequires:  perl(Time::Duration::Parse)
BuildRequires:  perl(UNIVERSAL::require)
Requires:       perl(Class::Accessor)
Requires:       perl(Crypt::OpenSSL::X509)
Requires:       perl(Date::Parse)
Requires:       perl(DateTime)
Requires:       perl(DateTime::Duration)
Requires:       perl(Filter::Util::Call)
Requires:       perl(IO::Socket)
Requires:       perl(Time::Duration::Parse)
Requires:       perl(UNIVERSAL::require)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Net::SSL::ExpireDate get certificate from network (SSL) or local file and
obtain its expiration date.

%prep
%setup -q -n Net-SSL-ExpireDate-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Feb 25 2019 Michael Stauber <mstauber@blueonyx.it> 1.20-1
- Specfile autogenerated by cpanspec 1.78.
